<?php
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Ordenes/ordenes.php");
include("logos.php");
if (isset($_GET['ods'])) {
    $ods = $_GET['ods'];
    $nombrepagina = "GESTION DE ODS " . $ods;
} else {
    $ods = 0;
    $nombrepagina = "GESTION DE ODS .";
}
encabezado($target);
unset($titulos);
unset($_SESSION['header']);
$tabla=$_GET['tabla'];
ini_set("memory_limit","512M");
$titulos[]=$Tguia;
$titulos[]=$Torden;
$titulos[]=$Tempresa;
$titulos[]=$Tdestinatario;
$titulos[]=$Tdireccion;
$titulos[]=$Tespecial5;
$titulos[]=$Tidentificacion;
$titulos[]=$Tciudad;
$titulos[]=$Tproducto;
$titulos[]=$Testado;
$titulos[]=$Ttelefono;
$titulos[]="ESPECIAL1";
$titulos[]="ESPECIAL2";
$titulos[]="ESPECIAL3";
$titulos[]="ESPECIAL4";
$titulos[]="ESPECIAL6";
$titulos[]="ESPECIAL7";
$titulos[]="ESPECIAL8";
$titulos[]="ESPECIAL9";
$titulos[]="ESPECIAL10";
$titulos[]="PAQUETE";

$area_ordenes='';
if($_SESSION['area']!='0'){
	$area_ordenes=' and especial2 in('.$_SESSION['area'].') ';
}


$campos_consulta="trim(g.guia) as guia,trim(g.orden) as orden,trim(g.empresa) as empresa,trim(g.destinatario) as destinatario,
trim(g.direccion) as direccion,trim(cod_zona) as cod_zona,DATE_FORMAT(g.especial5,'%d/%m/%Y') as especial5,
trim(g.identificacion) as identificacion,trim(g.ciudad) as ciudad,trim(o.producto) as producto,if(g.id_estado=16,dev.nombre,trim(e.nombre)) as nombre,
trim(g.telefono) as telefono,trim(g.especial1) as especial1,trim(g.especial2) as especial2,trim(g.especial3) as especial3,
trim(g.especial4) as especial4,trim(g.especial6) as especial6,trim(g.especial7) as especial7,trim(g.especial8) as especial8,
trim(g.especial9) as especial9,trim(g.especial10) as especial10,trim(g.no_paquete) as no_paquete";
$add1="as g inner join ordenes as o on g.orden=o.orden inner join estados_gestion as e on g.id_estado=e.id_estado left join devoluciones as dev on g.id_devolucion=dev.id_devolucion where g.orden='".$ods."'";
$add2="as g inner join ordenes as o on g.orden=o.orden inner join devoluciones as e on g.id_devolucion=e.id_devolucion where g.orden='".$ods."' ";

$_SESSION['titulos']=$titulos;
$_SESSION['campos_consulta']=$campos_consulta;
$_SESSION['sadd1']=$add1;
$_SESSION['sadd2']=$add2;

$user=$_SESSION['validar'];
$tamano_pagina=20;
$_SESSION['header'] = $Tguia.';'.$Torden.';'.$Tempresa.';'.$Tdestinatario.';'.$Tdireccion.';'."COD_ZONA".';'.$Tespecial5.
';'.$Tidentificacion.';'.$Tciudad.';'.$Tproducto.';'.$Testado.';'.$Ttelefono.';'.$Tespecial1.';'.$Tespecial2.';'.$Tespecial3.
';'.$Tespecial4.';'.$Tespecial6.';'.$Tespecial7.';'.$Tespecial8.';'.$Tespecial9.';'.$Tespecial10.';PAQUETE';        

$_SESSION['tam']=$tamano_pagina;
$pagina = $_GET["pagina"];
if(!$pagina){
	$inicio=0;
	$_SESSION['inicio']=$inicio;
	$pagina=1;
}else{
	$inicio=($pagina-1)*$tamano_pagina;
	$_SESSION['inicio']=$inicio;
}
$filas=1;
if($filas == 1){
	class llamado{
		var $menuObj;
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	}
	$llamadoObj=new llamado();
	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	entrada($user,$_GET['id_user'],$_GET['suc']);
	echo"</td>";
	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	mostrar_cabeza_trabajo($nombrepagina);

	$sql_filas="SELECT id_conse FROM guias_proceso WHERE orden = '".$_GET['ods']."'";
	$sql_arreglo="select o.orden,a.nombre as cliente,fecha_creacion as fecha,trim(producto) as producto from
	clientes as a inner join ordenes  as o on o.id_cliente=a.id_cliente where orden='".$_GET['ods']."'  ";
    	//echo $sql_rastreo;
	//echo "<br>";
	class filas{
		var $rowsobj;
		function cantidad($sql_consulta){
			$this->userObj=new select_zonas();
			$cant=$this->userObj->get_filas($sql_consulta);
			return $cant;
		}
		function arreglo($sql_consulta){
			$this->userObj=new select_zonas();
			$array=$this->userObj->get_array($sql_consulta);
			return $array;
		}
	}
	$filasobj=new filas();
	$cant=$filasobj->cantidad($sql_filas);
	$total_paginas= ceil($cant/$tamano_pagina);
	$sql_rastreo="SELECT g.orden, c.nombre, g.fecha_creacion, g.producto FROM ordenes AS g INNER JOIN clientes AS c ON g.id_cliente=c.id_cliente WHERE g.orden = '".$_GET['ods']."' ";

	$array=$filasobj->arreglo($sql_arreglo);
	if($cant>=1){
			?>
<link rel="stylesheet" href="css/demos.css" media="screen" type="text/css">
<link rel="stylesheet" href="css/modal-message.css" type="text/css">
<script type="text/javascript" src="js/modal-message.js"></script>
<script type="text/javascript">
messageObj = new DHTML_modalMessage();	// We only create one object of this class
messageObj.setShadowOffset(0);	// Large shadow
function displayStaticMessage(messageContent,cssClass,src)
{
	messageObj.setHtmlContent(messageContent);
	messageObj.setSize(350,100);
	messageObj.setCssClassMessageBox(cssClass);
	messageObj.setSource(false);	// no html source since we want to use a static message here.
	messageObj.setShadowDivVisible(false);	// Disable shadow for these boxes
	//matrix.src = "imagenes/loader.gif";
	messageObj.display();
}
function closeMessage()
{
	messageObj.close();
}
</script><CENTER>
<table width="350" border="0" cellspacing="0" cellpadding="0">
<tr class="">
<td class="titulo6" align="left">Cliente: <? echo $array[0][1]?></td>
<td class="titulo6" align="right">Orden: <? echo $array[0][0];?></td>
</tr>
<tr class="">
<td class="titulo6" align="left">Producto: <? echo $array[0][3];?></td>
<td class="titulo6" align="right">Fecha: <? echo $array[0][2];?></td>
</tr>
</table>
<?
$arrEstados=$filasobj->arreglo("select nombre from estados_gestion where id_estado>=9 and id_estado<=11");    
$arrReparto=$filasobj->arreglo("select nombre from estados_gestion where id_estado=13");   
$arrFechas=$filasobj->arreglo("select date(F9),date(F10),date(F11) from rastreo_guias where orden='$ods' limit 1");
$arrFechaDistri=$filasobj->arreglo("select date(F13) from rastreo_guias where orden='$ods' and F13!='0000-00-00' limit 1");
$arrLimite=$filasobj->arreglo("select fecha_limite from ordenes where orden='$ods'  ");

$resul='';
$css='';

$fecha_entrada = date('Y-m-d', strtotime($arrLimite[0][0]));
$fecha_actual = date("Y-m-d");
$interval= date_diff($fecha_actual, $fecha_entrada);

if($interval > 0)
{
$interval = date_diff($fecha_actual, $fecha_entrada);
$resul="<br>La fecha limite de la <br>orden de servicio <br>ha terminado hace ".$interval." dias.";
$css='style="background:darkred;"';
}elseif($interval < 0 && $interval > -5)
{
$resul="<br>La fecha limite de la <br>orden de servicio <br> terminara en ".($interval*-1)." dias.";
$css='style="background:orange;"';
}

?> 

<div style="width:800px;">
<table border="0" width="35" cellpadding="5" cellspacing="5">
<tr>
<td width="250" valign="top">
<table border="0" >
<tr>
<td> &nbsp;<br><p>&nbsp;&nbsp;&nbsp;</td>
<td> &nbsp;<br><p>&nbsp;&nbsp;&nbsp;</td>
</tr>

<tr class=miTable_t>
<td nowrap class=miTable_th BGCOLOR="#819FF7">DESCRIPCION DE PROCESO&nbsp;</td>
<td nowrap class=miTable_th BGCOLOR="#819FF7"><CENTER>FECHA&nbsp;</CENTER></td>
</tr>


<tr class=miTable_tr>
<td nowrap class=miTable_th1><?echo $arrEstados[0][0]; ?>&nbsp;</td>
<td nowrap class=miTable_th1><?echo $arrFechas[0][0]; ?>&nbsp;</td>
</tr>
<tr class=miTable_tr>
<td nowrap class=miTable_th1><?echo $arrEstados[1][0]; ?>&nbsp;</td>
<td nowrap class=miTable_th1><?echo $arrFechas[0][1]; ?>&nbsp;</td>
</tr>
<tr class=miTable_tr>
<td nowrap class=miTable_th1><?echo $arrEstados[2][0]; ?>&nbsp;</td>
<td nowrap class=miTable_th1><?echo $arrFechas[0][2]; ?>&nbsp;</td>
</tr>
<tr class=miTable_tr>
<td nowrap class=miTable_th1><?echo $arrReparto[0][0]; ?>&nbsp;</td>
<td nowrap class=miTable_th1><?echo $arrFechaDistri[0][0]; ?>&nbsp;</td>
</tr>
<tr class=miTable_tr>
<td nowrap class=miTable_th1><?echo $TfecLimite;?>&nbsp;</td>
<td nowrap <? echo $css;?> class=miTable_th1><em><?echo $arrLimite[0][0]; 
echo $resul;
?>&nbsp;</em></td>
</tr>
</table>
</td> 
<td width="50%" border="2">
    
<table width="450" border="0" class="primaria">
<tr>
<td colspan="4">
<? if($init==2){
	echo "<a href='ver_odscliente.php?cliente=$clienteid&f1=$f1&f2=$f2&suc=$suc&id_user=$id_user&tabla=$tabla&Registrar=Consultar'>
<img src='imagenes/back.gif'></a>";
}else{
	if($_SESSION['perfil']=='5'){
		echo "<center><a href='gestion_ods_cliente.php?id_user=$id_user&suc=$suc' class='mainlevel'><b>REGRESAR</b></a></center>";
	}else{
		echo "<center><a href='gestion_ods_cliente.php?id_user=$id_user&suc=$suc' class='mainlevel'><b>REGRESAR</b></a></center>";
	}
}?>
</td>
</tr>


<tr class=miTable_tr>
    <td colspan="9" class=miTable_th1><div align="center">..:: GESTION DE ODS No <? echo $ods;?> ::..</div></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="220">Estados</td>
<td valign=top class=miTable_th1 width="50">Cantidad</td>
<td valign=top class=miTable_th1 width="50">Gestion</td>
<td valign=top class=miTable_th1 width="50">Exportar</td>
</tr>


<?
class elimina{
	var $userObj;
	function eliminar($filas){
		$this->userObj=new select_zonas();
		$this->userObj->gestion($filas,$_GET['ods'],$_GET['tabla'],$_GET['id_user'],$_GET['suc']);
	}
}
$eliminaObj=new elimina();
$eliminaObj->eliminar($cant);

?>
</td>
</div>
<?
	}else{
		echo '<CENTER>';
		echo '<table width="350" border="0" class="primaria">';
		echo '<tr class=miTable_tr>';
		echo '<td class=miTable_th1><div align="center">..:: GESTION DE ODS No '.$ods.' ::..</div></td>';
		echo '</tr>';
		echo '<tr class="miTable_tr">';
		echo '<td valign=top class=miTable_td width="200"><div align="center">No Se Encontraron Resultados</div></td>';
		echo '</tr>';
		echo '<tr class="miTable_tr">';
		echo '<td class=miTable_th1><div align="center"><a href="gestion_ods.php?id_user='.$id_user.'&suc='.$suc.'"><font color="#ffffff">Regresar</a></div></td>';
		echo '</tr>';
		echo '</tr></table></CENTER>';
	}
?>
</tr>
<?
mostrar_pie_rastreo();
}
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
?><td><center>
<? pie_de_pagina();?>
</center>
</td>
<?php
echo"</tr>";
echo"</tbody></table>";
echo"</center>";
echo"</body>";
echo"</html>";

function date_diff($d1, $d2){
    $d1 = (is_string($d1) ? strtotime($d1) : $d1);
    $d2 = (is_string($d2) ? strtotime($d2) : $d2);  
    $diff_secs = ($d1 - $d2);
    return floor($diff_secs / (3600 * 24));
}
?>
